#!/bin/sh

BASE_VER=1.9.0
PACKAGING=3
VER=${BASE_VER}-${PACKAGING}

rm -f gdal-*.bz2

rm -rf release
mkdir release
mkdir release/include
mkdir release/bin
mkdir release/bin/gdalplugins
mkdir release/bin/gdalplugins/1.9
mkdir release/lib
mkdir release/etc
mkdir release/etc/ini
mkdir release/share
mkdir release/share/gdal
mkdir release/share/gdal/html

nmake /f makefile.vc install devinstall


# make sure we don't accidentally include any plugins, like mrsid in the base
# package.
rm release/bin/gdalplugins/1.9/*

touch release/bin/gdalplugins/1.9/placeholder

cp gdal-config.tmpl release/bin

echo "SET GDAL_DATA=%OSGEO4W_ROOT%\share\gdal" > release/etc/ini/gdal.bat
echo "SET GDAL_DRIVER_PATH=%OSGEO4W_ROOT%\bin\gdalplugins" >> release/etc/ini/gdal.bat

###############################################################################
# tar up with proper path names.

cd release
tar cjvf ../gdal-$VER.tar.bz2 *
cd ..

tar cjf src-wrk.tar.bz2 nmake.opt nmake.local gdal-config.tmpl \
        rebuild.sh upload.sh package.sh \
	ogr/ogrsf_frmts/ogdi/makefile.vc \
        ogr/ogrsf_frmts/generic/ogrsfdriverregistrar.cpp \
        gcore/gdaldrivermanager.cpp \
        gcore/frmts/dimap/dimapdataset.cpp \
	frmts/ogdi/makefile.vc

mkdir release/src
mkdir release/src/gdal-${BASE_VER}

cd release/src/gdal-${BASE_VER}

tar xjvf ../../../src-wrk.tar.bz2
cd ../..
tar cjvf ../gdal-$VER-src.tar.bz2 src
cd ..
